<!DOCTYPE html>
<html>

<head>
    <script type="text/javascript">
        var socket;

        function init() {
            var host = "ws://"+window.location.host+"/ws"; // SET THIS TO YOUR SERVER


            try {
                socket = new WebSocket(host);
                log('WebSocket - status ' + socket.readyState);
                socket.onopen = function (msg) {
                    log("Receiving data...");
                };

                socket.onmessage = function (msg) {

                    log(msg.data);

                    var JSONObject = JSON.parse(msg.data);

                    switch (JSONObject["event"]) {
                        case "forward":

                            break;

                        case "Newstate":
                            // if (JSONObject["Linkedid"] == JSONObject["Uniqueid"]) {
                            //     var row = document.getElementById(JSONObject["Uniqueid"]);
                            //     row.cells[0].innerHTML = JSONObject["Channel"]
                            //     row.cells[1].innerHTML = JSONObject["ChannelStateDesc"];
                            //     row.cells[3].innerHTML = JSONObject["CallerIDNum"];
                            //     row.cells[4].innerHTML = JSONObject["CallerIDName"];
                            //     row.cells[5].innerHTML = JSONObject["Exten"];
                            // } else {
                            //     var row = document.getElementById(JSONObject["Linkedid"]);
                            //     row.cells[6].innerHTML = JSONObject["Channel"];
                            //     row.cells[7].innerHTML = JSONObject["ChannelStateDesc"];
                            //     row.cells[8].innerHTML = "0";
                            // };
                            break;

                        case "ChannelState":
                           // var row = document.getElementById(JSONObject["Uniqueid"]);
                            //            var cell1 = row.insertCell(0);
                            //            var cell2 = row.Cell(1);
                            //            var cell3 = row.insertCell(2);
                            //            cell1.innerHTML = JSONObject["Channel"];
                           // row.cells[1].innerHTML = JSONObject["ChannelStateDesc"];
                            //            cell3.innerHTML = JSONObject["Uniqueid"];
                            break;

                        case "csv_RADIUSStop":
                                var row = document.getElementById(JSONObject["param4"]);
                                row.parentNode.removeChild(row);
                            break;
                    }

                };

                socket.onclose = function (msg) {
                    log("Disconnected - status " + this.readyState);
                    // setInterval(reconnect,10000);
                };
            }
            catch (ex) { log(ex); }
        }

        function reconnect() {
            quit();
            init();
        }

        function register() {
            var msg = {
                event: "register",
                param1: document.getElementById('username').value,
                param2: document.getElementById('password').value,
            };
            socket.send(JSON.stringify(msg));
        }

        function unregister() {
            var msg = {
                event: "unregister",
            };
            socket.send(JSON.stringify(msg));
        }

        function forward() {
            var msg = {
                event: "forward",
                data: document.getElementById('data').value,
                recepient: document.getElementById('who').value,
            };
            socket.send(JSON.stringify(msg));
        }


        // Utilities
        function $(id) { return document.getElementById(id); }
        function log(msg) { $("log").innerHTML += "<br>" + msg; }
    </script>

    <title>WebSockets Client</title>
</head>

<body onload="init()">

    Username: <input type="text" value="dan" id="username">
    Password:<input type="text" value="password" id="password">
    <button onclick="register()">Register</button>
    <button onclick="unregister()">Unregister</button>

</br>
    Data: <input type="text" id="data">
    Who:<input type="text" id="who">
    <button onclick="forward()">Forward</button>

    <div id="log"></div>
</body>

</html>